### Constructor

# GimpUi ColorButton new

#### Declaration [src]

    GtkWidget*
    gimp_color_button_new (
      const gchar* title,
      gint width,
      gint height,
      const GimpRGB* color,
      GimpColorAreaType type
    )

#### Description [src]

Creates a new `GimpColorButton` widget.

This returns a button with a preview showing the color. When the button is clicked a GtkColorSelectionDialog is opened. If the user changes the color the new color is written into the array that was used to pass the initial color and the “color-changed” signal is emitted.

#### Parameters

`title`

  Type: `const gchar*`

  String that will be used as title for the color_selector.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `gint`

  Width of the colorpreview in pixels.

`height`

  Type: `gint`

  Height of the colorpreview in pixels.

`color`

  Type: `GimpRGB`

  A pointer to a `GimpRGB` color.

  The data is owned by the caller of the function.

`type`

  Type: `GimpColorAreaType`

  The type of transparency to be displayed.

#### Return value

Type: `GtkWidget`

Pointer to the new `GimpColorButton` widget.

The data is owned by the called function.